Browse Source

get rid of nvim for now

Von Random 9 months ago
parent
commit
b4dfe38b15
2 changed files with 3 additions and 3 deletions
  1. 2
    2
      tvim
  2. 1
    1
      vimwiki

+ 2
- 2
tvim View File

@@ -1,7 +1,7 @@
1 1
 #!/usr/bin/env bash
2 2
 typeset -a vimopt=(
3 3
     '--cmd' 'let g:tvim = 1'
4
-    '--cmd' "set tgc title titlestring=[%F]%m\\ -\\ TVIM"
4
+    # '--cmd' "set tgc title titlestring=[%F]%m\\ -\\ TVIM"
5 5
     '-c' 'set mouse=a'
6 6
 )
7 7
 
@@ -11,6 +11,6 @@ error() {
11 11
 }
12 12
 
13 13
 termbin=$(command -v st) || termbin=$(command -v xterm) || error "No terminal found!"
14
-vimbin=$(command -v nvim) || vimbin=$(command -v vim) || error "No vim binary found!"
14
+vimbin=$(command -v vim) || error "No vim binary found!"
15 15
 
16 16
 exec "$termbin" -c tvim -e "$vimbin" "${vimopt[@]}" "$@" &>/dev/null & disown

+ 1
- 1
vimwiki View File

@@ -7,7 +7,7 @@ typeset -a vimopts=(
7 7
 )
8 8
 case $1 in
9 9
     -g) vimbin=$(command -v gvim);;
10
-    -n) vimbin=$(command -v nvim) || vimbin=$(command -v vim);;
10
+    -n) vimbin=$(command -v vim);;
11 11
     *) vimbin=$(command -v tvim);;
12 12
 esac
13 13
 exec flock -w0 "$index" "$vimbin" "${vimopts[@]}"

Loading…
Cancel
Save